Subject: Re: [PATCH] Script for automated historical Git tree grafting

From: Nicholas Miell <[email-masked]>
Date: Sat, 08 Apr 2006 13:04:12 -0700

On Sat, 2006-04-08 at 05:09 +0200, Petr Baudis wrote:
> Dear diary, on Fri, Apr 07, 2006 at 02:52:46AM CEST, I got a letter
> where Andrew Morton <[email-masked]> said that...
> > Petr Baudis <[email-masked]> wrote:
> > >
> > > This script enables Git users to easily graft the historical Git tree
> > >  (Bitkeeper history import) to the current history.
> > 
> > What impact will that have on the (already rather poor) performance of
> > git-whatchanged, gitk, etc?
> 
> Negative. ;-)
> 
> I didn't try gitk myself, but according to Nick Riviera it eats 1.6G...
> Otherwise, assuming that you have at least git-1.2.5, git-whatchanged on
> the whole tree should be roughly equally fast as it was before grafting,
> but git-whatchanged on individual paths is _significantly_ slower.
> 
> That said, 1.3.0rc2 should already have Linus' optimization which should
> fix or at least mitigate the performance hit on narrowed-down
> git-whatchanged.

Actually, it ate more than 1.6G -- that was just the resident size, and
it likes to allocate more memory in between you closing the window and
it finally exiting (or, you killing it before it OOMs the box, whichever
comes first).

qgit has absolutely no problem with the grafted full history, though,
and those previously mentioned rev-list changes by Linus should fix
git-whatchanged.

Unfortunately, this does nothing to fix the disturbing lack of useless
Simpsons trivia knowledge in the git community. Keith Packard made the
same mistake last week.

-- 
Nicholas Miell <[email-masked]>